## org.apache.commons.collections.set
Class UnmodifiableSortedSet

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.set.AbstractSetDecorator
              org.apache.commons.collections.set.AbstractSortedSetDecorator
                  org.apache.commons.collections.set.UnmodifiableSortedSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set, java.util.SortedSet, Unmodifiable

    public final class UnmodifiableSortedSet

extends AbstractSortedSetDecorator
implements Unmodifiable, java.io.Serializable

Decorates another `SortedSet` to ensure it can't be altered.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Method Summary
`boolean` `add(java.lang.Object object)`
`boolean` `addAll(java.util.Collection coll)`
`void` `clear()`
`static java.util.SortedSet` `decorate(java.util.SortedSet set)` Factory method to create an unmodifiable set.
`java.util.SortedSet` `headSet(java.lang.Object toElement)`
`java.util.Iterator` `iterator()`
`boolean` `remove(java.lang.Object object)`
`boolean` `removeAll(java.util.Collection coll)`
`boolean` `retainAll(java.util.Collection coll)`
`java.util.SortedSet` `subSet(java.lang.Object fromElement, java.lang.Object toElement)`
`java.util.SortedSet` `tailSet(java.lang.Object fromElement)`

Methods inherited from class org.apache.commons.collections.set.AbstractSortedSetDecorator
`comparator, first, getSortedSet, last`

Methods inherited from class org.apache.commons.collections.set.AbstractSetDecorator
`getSet`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`contains, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Method Detail

### decorate

    public static java.util.SortedSet decorate(java.util.SortedSet set)

  Factory method to create an unmodifiable set.

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set is null

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### add

    public boolean add(java.lang.Object object)

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.Set`
  Overrides:
    `add` in class `AbstractCollectionDecorator`

### addAll

    public boolean addAll(java.util.Collection coll)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Specified by:
    `addAll` in interface `java.util.Set`
  Overrides:
    `addAll` in class `AbstractCollectionDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.Set`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

### remove

    public boolean remove(java.lang.Object object)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.Set`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

### removeAll

    public boolean removeAll(java.util.Collection coll)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Specified by:
    `removeAll` in interface `java.util.Set`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(java.util.Collection coll)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Specified by:
    `retainAll` in interface `java.util.Set`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### subSet

    public java.util.SortedSet subSet(java.lang.Object fromElement,
                                      java.lang.Object toElement)

  Specified by:
    `subSet` in interface `java.util.SortedSet`
  Overrides:
    `subSet` in class `AbstractSortedSetDecorator`

### headSet

    public java.util.SortedSet headSet(java.lang.Object toElement)

  Specified by:
    `headSet` in interface `java.util.SortedSet`
  Overrides:
    `headSet` in class `AbstractSortedSetDecorator`

### tailSet

    public java.util.SortedSet tailSet(java.lang.Object fromElement)

  Specified by:
    `tailSet` in interface `java.util.SortedSet`
  Overrides:
    `tailSet` in class `AbstractSortedSetDecorator`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.